Feedback

Enabling Google Cloud PostgreSQL PDO

In Scriptcase, we have the following drivers available for connection to PostgreSQL: PostgreSQL PDO, PostgreSQL 7 or above, PostgreSQL 6.4 or above and PostgreSQL 6.3 or below. If you are using your own pre-configured environment, PostgreSQL extensions must be enabled manually in PHP.

Configuring and enabling Google Cloud PostgreSQL PDO on Linux

IMPORTANT: If you are using Scriptcase’s automatic installer, the extensions are already enabled in PHP, ready for connection. The procedure below is only for manual installations of Scriptcase .

1 - On your linux terminal, you only need to run one line to install PostgreSQL extensions. See below how to proceed.

sudo apt-get install php7.3-pgsql

  • If you are unable to execute the above command because you cannot find packages, install the repository below and update.

sudo add-apt-repository ppa:ondrej/php
sudo apt-get update

Enabling MySQL extensions - Linux

2 - Restart the Apache service via the terminal.

sudo service apache2 restart

Connection to Scriptcase

Connection Questions or Problems?

Contact our [support][link_support]{:target=’_ blank’} in case of connection problems or questions regarding this database.